<?xml version = "1.0"?>

<xsl:stylesheet version = "1.0" 
   xmlns:xsl = "http://www.w3.org/1999/XSL/Transform">

   <xsl:template match = "/">

   <html>
      <body>
         <xsl:apply-templates select = "book"/>
      </body>
   </html>

   </xsl:template>

   <xsl:template match = "book">

      <H2>
         <xsl:value-of select = "title"/>
      </H2>

      <xsl:apply-templates/>
   </xsl:template>

   <xsl:include href = "author.xsl"/>
   <xsl:include href = "chapters.xsl"/>
  
   <xsl:template match = "*|text()" />

</xsl:stylesheet>

