<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- inutile sul client -->
<xsl:output method="html" indent="yes" version="4.0"/> 
<xsl:template match="/">
<html>
<head>
<title>Esempio di trasformazione XSLT</title>
<!-- il modo migliore per usare i css -->
<style type="text/css">
body         { font-family: Arial }
h1       	   { font-size: 20pt; color: #0000FF; font-weight: bold; 
               	     text-align: center; line-height: 150% }
h2       	   { font-size: 18pt; color: #0000FF; font-weight: bold; 
               	     text-align: center; line-height: 150% }
h3       	   { font-size: 14pt; color: #0000FF; font-weight: bold; 
               	     line-height: 150% }
h4       	   { font-size: 12pt; font-weight: bold}
</style>
</head>
<body>
<!-- se commento questa, il processore termina qui -->
<xsl:apply-templates/>
</body>
</html>
</xsl:template>

<!-- seleziona gli elementi corso -->
<xsl:template match="corso">
<!-- estrae il valore dell'attributo titolo -->
<h1><xsl:value-of select="@titolo"/></h1>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="modulo">
<h2><xsl:value-of select="@titolo"/></h2>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="lezione">
<h3><xsl:value-of select="@titolo"/></h3>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="argomento">
<h4><xsl:value-of select="@titolo"/></h4>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="testo">
<xsl:value-of select="."/>
</xsl:template>

</xsl:stylesheet>
